def maFonction(x):
    try:
        print("'y' vaut {}.".format(y))
    except NameError:
        print("La variable 'y' n'existe pas encore.")
    y = x
    print("'y' vaut {}.".format(y))

maFonction(10)
print(y)